import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteCommentContentInput } from "../types/DeleteCommentContentInput";
import { DeleteCommentContentOutput } from "../types/DeleteCommentContentOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/DeleteCommentContentInput";
export * from "../types/DeleteCommentContentOutput";
export * from "../types/DeleteCommentContentExceptionsUnion";
export declare class DeleteCommentContentCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteCommentContentInput, OutputTypesUnion, DeleteCommentContentOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: DeleteCommentContentInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteCommentContentInput, DeleteCommentContentOutput, Blob>;
    constructor(input: DeleteCommentContentInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<DeleteCommentContentInput, DeleteCommentContentOutput>;
}
