import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteFileInput } from "../types/DeleteFileInput";
import { DeleteFileOutput } from "../types/DeleteFileOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/DeleteFileInput";
export * from "../types/DeleteFileOutput";
export * from "../types/DeleteFileExceptionsUnion";
export declare class DeleteFileCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteFileInput, OutputTypesUnion, DeleteFileOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: DeleteFileInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteFileInput, DeleteFileOutput, Blob>;
    constructor(input: DeleteFileInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<DeleteFileInput, DeleteFileOutput>;
}
