import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteRepositoryInput } from "../types/DeleteRepositoryInput";
import { DeleteRepositoryOutput } from "../types/DeleteRepositoryOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/DeleteRepositoryInput";
export * from "../types/DeleteRepositoryOutput";
export * from "../types/DeleteRepositoryExceptionsUnion";
export declare class DeleteRepositoryCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteRepositoryInput, OutputTypesUnion, DeleteRepositoryOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: DeleteRepositoryInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteRepositoryInput, DeleteRepositoryOutput, Blob>;
    constructor(input: DeleteRepositoryInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<DeleteRepositoryInput, DeleteRepositoryOutput>;
}
