"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribePullRequestEvents_1 = require("../model/operations/DescribePullRequestEvents");
var DescribePullRequestEventsCommand = /** @class */ (function () {
    function DescribePullRequestEventsCommand(input) {
        this.input = input;
        this.model = DescribePullRequestEvents_1.DescribePullRequestEvents;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribePullRequestEventsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribePullRequestEventsCommand;
}());
exports.DescribePullRequestEventsCommand = DescribePullRequestEventsCommand;
//# sourceMappingURL=DescribePullRequestEventsCommand.js.map