"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetCommentsForComparedCommit_1 = require("../model/operations/GetCommentsForComparedCommit");
var GetCommentsForComparedCommitCommand = /** @class */ (function () {
    function GetCommentsForComparedCommitCommand(input) {
        this.input = input;
        this.model = GetCommentsForComparedCommit_1.GetCommentsForComparedCommit;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetCommentsForComparedCommitCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetCommentsForComparedCommitCommand;
}());
exports.GetCommentsForComparedCommitCommand = GetCommentsForComparedCommitCommand;
//# sourceMappingURL=GetCommentsForComparedCommitCommand.js.map