import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetFileInput } from "../types/GetFileInput";
import { GetFileOutput } from "../types/GetFileOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/GetFileInput";
export * from "../types/GetFileOutput";
export * from "../types/GetFileExceptionsUnion";
export declare class GetFileCommand implements __aws_sdk_types.Command<InputTypesUnion, GetFileInput, OutputTypesUnion, GetFileOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: GetFileInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetFileInput, GetFileOutput, Blob>;
    constructor(input: GetFileInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<GetFileInput, GetFileOutput>;
}
