"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetRepositoryTriggers_1 = require("../model/operations/GetRepositoryTriggers");
var GetRepositoryTriggersCommand = /** @class */ (function () {
    function GetRepositoryTriggersCommand(input) {
        this.input = input;
        this.model = GetRepositoryTriggers_1.GetRepositoryTriggers;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetRepositoryTriggersCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetRepositoryTriggersCommand;
}());
exports.GetRepositoryTriggersCommand = GetRepositoryTriggersCommand;
//# sourceMappingURL=GetRepositoryTriggersCommand.js.map