import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { MergePullRequestByFastForwardInput } from "../types/MergePullRequestByFastForwardInput";
import { MergePullRequestByFastForwardOutput } from "../types/MergePullRequestByFastForwardOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/MergePullRequestByFastForwardInput";
export * from "../types/MergePullRequestByFastForwardOutput";
export * from "../types/MergePullRequestByFastForwardExceptionsUnion";
export declare class MergePullRequestByFastForwardCommand implements __aws_sdk_types.Command<InputTypesUnion, MergePullRequestByFastForwardInput, OutputTypesUnion, MergePullRequestByFastForwardOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: MergePullRequestByFastForwardInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<MergePullRequestByFastForwardInput, MergePullRequestByFastForwardOutput, Blob>;
    constructor(input: MergePullRequestByFastForwardInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<MergePullRequestByFastForwardInput, MergePullRequestByFastForwardOutput>;
}
