import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PostCommentForPullRequestInput } from "../types/PostCommentForPullRequestInput";
import { PostCommentForPullRequestOutput } from "../types/PostCommentForPullRequestOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/PostCommentForPullRequestInput";
export * from "../types/PostCommentForPullRequestOutput";
export * from "../types/PostCommentForPullRequestExceptionsUnion";
export declare class PostCommentForPullRequestCommand implements __aws_sdk_types.Command<InputTypesUnion, PostCommentForPullRequestInput, OutputTypesUnion, PostCommentForPullRequestOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: PostCommentForPullRequestInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PostCommentForPullRequestInput, PostCommentForPullRequestOutput, Blob>;
    constructor(input: PostCommentForPullRequestInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<PostCommentForPullRequestInput, PostCommentForPullRequestOutput>;
}
