"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PostCommentReply_1 = require("../model/operations/PostCommentReply");
var PostCommentReplyCommand = /** @class */ (function () {
    function PostCommentReplyCommand(input) {
        this.input = input;
        this.model = PostCommentReply_1.PostCommentReply;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PostCommentReplyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PostCommentReplyCommand;
}());
exports.PostCommentReplyCommand = PostCommentReplyCommand;
//# sourceMappingURL=PostCommentReplyCommand.js.map