import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutRepositoryTriggersInput } from "../types/PutRepositoryTriggersInput";
import { PutRepositoryTriggersOutput } from "../types/PutRepositoryTriggersOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/PutRepositoryTriggersInput";
export * from "../types/PutRepositoryTriggersOutput";
export * from "../types/PutRepositoryTriggersExceptionsUnion";
export declare class PutRepositoryTriggersCommand implements __aws_sdk_types.Command<InputTypesUnion, PutRepositoryTriggersInput, OutputTypesUnion, PutRepositoryTriggersOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: PutRepositoryTriggersInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutRepositoryTriggersInput, PutRepositoryTriggersOutput, Blob>;
    constructor(input: PutRepositoryTriggersInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<PutRepositoryTriggersInput, PutRepositoryTriggersOutput>;
}
