import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateDefaultBranchInput } from "../types/UpdateDefaultBranchInput";
import { UpdateDefaultBranchOutput } from "../types/UpdateDefaultBranchOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/UpdateDefaultBranchInput";
export * from "../types/UpdateDefaultBranchOutput";
export * from "../types/UpdateDefaultBranchExceptionsUnion";
export declare class UpdateDefaultBranchCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateDefaultBranchInput, OutputTypesUnion, UpdateDefaultBranchOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: UpdateDefaultBranchInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateDefaultBranchInput, UpdateDefaultBranchOutput, Blob>;
    constructor(input: UpdateDefaultBranchInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<UpdateDefaultBranchInput, UpdateDefaultBranchOutput>;
}
