import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdatePullRequestDescriptionInput } from "../types/UpdatePullRequestDescriptionInput";
import { UpdatePullRequestDescriptionOutput } from "../types/UpdatePullRequestDescriptionOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/UpdatePullRequestDescriptionInput";
export * from "../types/UpdatePullRequestDescriptionOutput";
export * from "../types/UpdatePullRequestDescriptionExceptionsUnion";
export declare class UpdatePullRequestDescriptionCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdatePullRequestDescriptionInput, OutputTypesUnion, UpdatePullRequestDescriptionOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: UpdatePullRequestDescriptionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdatePullRequestDescriptionInput, UpdatePullRequestDescriptionOutput, Blob>;
    constructor(input: UpdatePullRequestDescriptionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<UpdatePullRequestDescriptionInput, UpdatePullRequestDescriptionOutput>;
}
