"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdatePullRequestStatus_1 = require("../model/operations/UpdatePullRequestStatus");
var UpdatePullRequestStatusCommand = /** @class */ (function () {
    function UpdatePullRequestStatusCommand(input) {
        this.input = input;
        this.model = UpdatePullRequestStatus_1.UpdatePullRequestStatus;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdatePullRequestStatusCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdatePullRequestStatusCommand;
}());
exports.UpdatePullRequestStatusCommand = UpdatePullRequestStatusCommand;
//# sourceMappingURL=UpdatePullRequestStatusCommand.js.map