import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdatePullRequestTitleInput } from "../types/UpdatePullRequestTitleInput";
import { UpdatePullRequestTitleOutput } from "../types/UpdatePullRequestTitleOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/UpdatePullRequestTitleInput";
export * from "../types/UpdatePullRequestTitleOutput";
export * from "../types/UpdatePullRequestTitleExceptionsUnion";
export declare class UpdatePullRequestTitleCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdatePullRequestTitleInput, OutputTypesUnion, UpdatePullRequestTitleOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: UpdatePullRequestTitleInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdatePullRequestTitleInput, UpdatePullRequestTitleOutput, Blob>;
    constructor(input: UpdatePullRequestTitleInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<UpdatePullRequestTitleInput, UpdatePullRequestTitleOutput>;
}
