import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateRepositoryDescriptionInput } from "../types/UpdateRepositoryDescriptionInput";
import { UpdateRepositoryDescriptionOutput } from "../types/UpdateRepositoryDescriptionOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/UpdateRepositoryDescriptionInput";
export * from "../types/UpdateRepositoryDescriptionOutput";
export * from "../types/UpdateRepositoryDescriptionExceptionsUnion";
export declare class UpdateRepositoryDescriptionCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateRepositoryDescriptionInput, OutputTypesUnion, UpdateRepositoryDescriptionOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: UpdateRepositoryDescriptionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateRepositoryDescriptionInput, UpdateRepositoryDescriptionOutput, Blob>;
    constructor(input: UpdateRepositoryDescriptionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<UpdateRepositoryDescriptionInput, UpdateRepositoryDescriptionOutput>;
}
