"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateRepositoryName_1 = require("../model/operations/UpdateRepositoryName");
var UpdateRepositoryNameCommand = /** @class */ (function () {
    function UpdateRepositoryNameCommand(input) {
        this.input = input;
        this.model = UpdateRepositoryName_1.UpdateRepositoryName;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateRepositoryNameCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateRepositoryNameCommand;
}());
exports.UpdateRepositoryNameCommand = UpdateRepositoryNameCommand;
//# sourceMappingURL=UpdateRepositoryNameCommand.js.map