"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteCommentContentInput_1 = require("../shapes/DeleteCommentContentInput");
var DeleteCommentContentOutput_1 = require("../shapes/DeleteCommentContentOutput");
var CommentDoesNotExistException_1 = require("../shapes/CommentDoesNotExistException");
var CommentIdRequiredException_1 = require("../shapes/CommentIdRequiredException");
var InvalidCommentIdException_1 = require("../shapes/InvalidCommentIdException");
var CommentDeletedException_1 = require("../shapes/CommentDeletedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteCommentContent = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteCommentContent",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteCommentContentInput_1.DeleteCommentContentInput
    },
    output: {
        shape: DeleteCommentContentOutput_1.DeleteCommentContentOutput
    },
    errors: [
        {
            shape: CommentDoesNotExistException_1.CommentDoesNotExistException
        },
        {
            shape: CommentIdRequiredException_1.CommentIdRequiredException
        },
        {
            shape: InvalidCommentIdException_1.InvalidCommentIdException
        },
        {
            shape: CommentDeletedException_1.CommentDeletedException
        }
    ]
};
//# sourceMappingURL=DeleteCommentContent.js.map