"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetCommentsForComparedCommitInput = {
    type: "structure",
    required: ["repositoryName", "afterCommitId"],
    members: {
        repositoryName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        beforeCommitId: {
            shape: {
                type: "string"
            }
        },
        afterCommitId: {
            shape: {
                type: "string"
            }
        },
        nextToken: {
            shape: {
                type: "string"
            }
        },
        maxResults: {
            shape: {
                type: "integer"
            }
        }
    }
};
//# sourceMappingURL=GetCommentsForComparedCommitInput.js.map