"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetDifferencesInput = {
    type: "structure",
    required: ["repositoryName", "afterCommitSpecifier"],
    members: {
        repositoryName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        beforeCommitSpecifier: {
            shape: {
                type: "string"
            }
        },
        afterCommitSpecifier: {
            shape: {
                type: "string"
            }
        },
        beforePath: {
            shape: {
                type: "string"
            }
        },
        afterPath: {
            shape: {
                type: "string"
            }
        },
        MaxResults: {
            shape: {
                type: "integer"
            }
        },
        NextToken: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=GetDifferencesInput.js.map