"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _FolderList_1 = require("./_FolderList");
var _FileList_1 = require("./_FileList");
var _SymbolicLinkList_1 = require("./_SymbolicLinkList");
var _SubModuleList_1 = require("./_SubModuleList");
exports.GetFolderOutput = {
    type: "structure",
    required: ["commitId", "folderPath"],
    members: {
        commitId: {
            shape: {
                type: "string"
            }
        },
        folderPath: {
            shape: {
                type: "string"
            }
        },
        treeId: {
            shape: {
                type: "string"
            }
        },
        subFolders: {
            shape: _FolderList_1._FolderList
        },
        files: {
            shape: _FileList_1._FileList
        },
        symbolicLinks: {
            shape: _SymbolicLinkList_1._SymbolicLinkList
        },
        subModules: {
            shape: _SubModuleList_1._SubModuleList
        }
    }
};
//# sourceMappingURL=GetFolderOutput.js.map