"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetMergeConflictsInput = {
    type: "structure",
    required: [
        "repositoryName",
        "destinationCommitSpecifier",
        "sourceCommitSpecifier",
        "mergeOption"
    ],
    members: {
        repositoryName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        destinationCommitSpecifier: {
            shape: {
                type: "string"
            }
        },
        sourceCommitSpecifier: {
            shape: {
                type: "string"
            }
        },
        mergeOption: {
            shape: {
                type: "string"
            }
        },
        conflictDetailLevel: {
            shape: {
                type: "string"
            }
        },
        maxConflictFiles: {
            shape: {
                type: "integer"
            }
        },
        conflictResolutionStrategy: {
            shape: {
                type: "string"
            }
        },
        nextToken: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=GetMergeConflictsInput.js.map