"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Location_1 = require("./_Location");
exports.PostCommentForComparedCommitInput = {
    type: "structure",
    required: ["repositoryName", "afterCommitId", "content"],
    members: {
        repositoryName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        beforeCommitId: {
            shape: {
                type: "string"
            }
        },
        afterCommitId: {
            shape: {
                type: "string"
            }
        },
        location: {
            shape: _Location_1._Location
        },
        content: {
            shape: {
                type: "string"
            }
        },
        clientRequestToken: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=PostCommentForComparedCommitInput.js.map