import { ClientRequestTokenRequiredException } from "./ClientRequestTokenRequiredException";
import { InvalidClientRequestTokenException } from "./InvalidClientRequestTokenException";
import { IdempotencyParameterMismatchException } from "./IdempotencyParameterMismatchException";
import { CommentContentRequiredException } from "./CommentContentRequiredException";
import { CommentContentSizeLimitExceededException } from "./CommentContentSizeLimitExceededException";
import { CommentDoesNotExistException } from "./CommentDoesNotExistException";
import { CommentIdRequiredException } from "./CommentIdRequiredException";
import { InvalidCommentIdException } from "./InvalidCommentIdException";
export declare type PostCommentReplyExceptionsUnion = ClientRequestTokenRequiredException | InvalidClientRequestTokenException | IdempotencyParameterMismatchException | CommentContentRequiredException | CommentContentSizeLimitExceededException | CommentDoesNotExistException | CommentIdRequiredException | InvalidCommentIdException;
