"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var BatchDescribeMergeConflicts_1 = require("../model/operations/BatchDescribeMergeConflicts");
var BatchDescribeMergeConflictsCommand = /** @class */ (function () {
    function BatchDescribeMergeConflictsCommand(input) {
        this.input = input;
        this.model = BatchDescribeMergeConflicts_1.BatchDescribeMergeConflicts;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    BatchDescribeMergeConflictsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return BatchDescribeMergeConflictsCommand;
}());
exports.BatchDescribeMergeConflictsCommand = BatchDescribeMergeConflictsCommand;
//# sourceMappingURL=BatchDescribeMergeConflictsCommand.js.map