import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { BatchGetRepositoriesInput } from "../types/BatchGetRepositoriesInput";
import { BatchGetRepositoriesOutput } from "../types/BatchGetRepositoriesOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/BatchGetRepositoriesInput";
export * from "../types/BatchGetRepositoriesOutput";
export * from "../types/BatchGetRepositoriesExceptionsUnion";
export declare class BatchGetRepositoriesCommand implements __aws_sdk_types.Command<InputTypesUnion, BatchGetRepositoriesInput, OutputTypesUnion, BatchGetRepositoriesOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: BatchGetRepositoriesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<BatchGetRepositoriesInput, BatchGetRepositoriesOutput, Blob>;
    constructor(input: BatchGetRepositoriesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<BatchGetRepositoriesInput, BatchGetRepositoriesOutput>;
}
