import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateUnreferencedMergeCommitInput } from "../types/CreateUnreferencedMergeCommitInput";
import { CreateUnreferencedMergeCommitOutput } from "../types/CreateUnreferencedMergeCommitOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/CreateUnreferencedMergeCommitInput";
export * from "../types/CreateUnreferencedMergeCommitOutput";
export * from "../types/CreateUnreferencedMergeCommitExceptionsUnion";
export declare class CreateUnreferencedMergeCommitCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateUnreferencedMergeCommitInput, OutputTypesUnion, CreateUnreferencedMergeCommitOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: CreateUnreferencedMergeCommitInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateUnreferencedMergeCommitInput, CreateUnreferencedMergeCommitOutput, Blob>;
    constructor(input: CreateUnreferencedMergeCommitInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<CreateUnreferencedMergeCommitInput, CreateUnreferencedMergeCommitOutput>;
}
