import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteBranchInput } from "../types/DeleteBranchInput";
import { DeleteBranchOutput } from "../types/DeleteBranchOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/DeleteBranchInput";
export * from "../types/DeleteBranchOutput";
export * from "../types/DeleteBranchExceptionsUnion";
export declare class DeleteBranchCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteBranchInput, OutputTypesUnion, DeleteBranchOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: DeleteBranchInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteBranchInput, DeleteBranchOutput, Blob>;
    constructor(input: DeleteBranchInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<DeleteBranchInput, DeleteBranchOutput>;
}
