import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetBlobInput } from "../types/GetBlobInput";
import { GetBlobOutput } from "../types/GetBlobOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/GetBlobInput";
export * from "../types/GetBlobOutput";
export * from "../types/GetBlobExceptionsUnion";
export declare class GetBlobCommand implements __aws_sdk_types.Command<InputTypesUnion, GetBlobInput, OutputTypesUnion, GetBlobOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: GetBlobInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetBlobInput, GetBlobOutput, Blob>;
    constructor(input: GetBlobInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<GetBlobInput, GetBlobOutput>;
}
