import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetCommentInput } from "../types/GetCommentInput";
import { GetCommentOutput } from "../types/GetCommentOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/GetCommentInput";
export * from "../types/GetCommentOutput";
export * from "../types/GetCommentExceptionsUnion";
export declare class GetCommentCommand implements __aws_sdk_types.Command<InputTypesUnion, GetCommentInput, OutputTypesUnion, GetCommentOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: GetCommentInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetCommentInput, GetCommentOutput, Blob>;
    constructor(input: GetCommentInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<GetCommentInput, GetCommentOutput>;
}
