import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetCommentsForPullRequestInput } from "../types/GetCommentsForPullRequestInput";
import { GetCommentsForPullRequestOutput } from "../types/GetCommentsForPullRequestOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/GetCommentsForPullRequestInput";
export * from "../types/GetCommentsForPullRequestOutput";
export * from "../types/GetCommentsForPullRequestExceptionsUnion";
export declare class GetCommentsForPullRequestCommand implements __aws_sdk_types.Command<InputTypesUnion, GetCommentsForPullRequestInput, OutputTypesUnion, GetCommentsForPullRequestOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: GetCommentsForPullRequestInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetCommentsForPullRequestInput, GetCommentsForPullRequestOutput, Blob>;
    constructor(input: GetCommentsForPullRequestInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<GetCommentsForPullRequestInput, GetCommentsForPullRequestOutput>;
}
