"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetCommentsForPullRequest_1 = require("../model/operations/GetCommentsForPullRequest");
var GetCommentsForPullRequestCommand = /** @class */ (function () {
    function GetCommentsForPullRequestCommand(input) {
        this.input = input;
        this.model = GetCommentsForPullRequest_1.GetCommentsForPullRequest;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetCommentsForPullRequestCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetCommentsForPullRequestCommand;
}());
exports.GetCommentsForPullRequestCommand = GetCommentsForPullRequestCommand;
//# sourceMappingURL=GetCommentsForPullRequestCommand.js.map