import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetMergeOptionsInput } from "../types/GetMergeOptionsInput";
import { GetMergeOptionsOutput } from "../types/GetMergeOptionsOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/GetMergeOptionsInput";
export * from "../types/GetMergeOptionsOutput";
export * from "../types/GetMergeOptionsExceptionsUnion";
export declare class GetMergeOptionsCommand implements __aws_sdk_types.Command<InputTypesUnion, GetMergeOptionsInput, OutputTypesUnion, GetMergeOptionsOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: GetMergeOptionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetMergeOptionsInput, GetMergeOptionsOutput, Blob>;
    constructor(input: GetMergeOptionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<GetMergeOptionsInput, GetMergeOptionsOutput>;
}
