"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetMergeOptions_1 = require("../model/operations/GetMergeOptions");
var GetMergeOptionsCommand = /** @class */ (function () {
    function GetMergeOptionsCommand(input) {
        this.input = input;
        this.model = GetMergeOptions_1.GetMergeOptions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetMergeOptionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetMergeOptionsCommand;
}());
exports.GetMergeOptionsCommand = GetMergeOptionsCommand;
//# sourceMappingURL=GetMergeOptionsCommand.js.map