import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { MergePullRequestBySquashInput } from "../types/MergePullRequestBySquashInput";
import { MergePullRequestBySquashOutput } from "../types/MergePullRequestBySquashOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/MergePullRequestBySquashInput";
export * from "../types/MergePullRequestBySquashOutput";
export * from "../types/MergePullRequestBySquashExceptionsUnion";
export declare class MergePullRequestBySquashCommand implements __aws_sdk_types.Command<InputTypesUnion, MergePullRequestBySquashInput, OutputTypesUnion, MergePullRequestBySquashOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: MergePullRequestBySquashInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<MergePullRequestBySquashInput, MergePullRequestBySquashOutput, Blob>;
    constructor(input: MergePullRequestBySquashInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<MergePullRequestBySquashInput, MergePullRequestBySquashOutput>;
}
