"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var MergePullRequestByThreeWay_1 = require("../model/operations/MergePullRequestByThreeWay");
var MergePullRequestByThreeWayCommand = /** @class */ (function () {
    function MergePullRequestByThreeWayCommand(input) {
        this.input = input;
        this.model = MergePullRequestByThreeWay_1.MergePullRequestByThreeWay;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    MergePullRequestByThreeWayCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return MergePullRequestByThreeWayCommand;
}());
exports.MergePullRequestByThreeWayCommand = MergePullRequestByThreeWayCommand;
//# sourceMappingURL=MergePullRequestByThreeWayCommand.js.map