import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PostCommentForComparedCommitInput } from "../types/PostCommentForComparedCommitInput";
import { PostCommentForComparedCommitOutput } from "../types/PostCommentForComparedCommitOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/PostCommentForComparedCommitInput";
export * from "../types/PostCommentForComparedCommitOutput";
export * from "../types/PostCommentForComparedCommitExceptionsUnion";
export declare class PostCommentForComparedCommitCommand implements __aws_sdk_types.Command<InputTypesUnion, PostCommentForComparedCommitInput, OutputTypesUnion, PostCommentForComparedCommitOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: PostCommentForComparedCommitInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PostCommentForComparedCommitInput, PostCommentForComparedCommitOutput, Blob>;
    constructor(input: PostCommentForComparedCommitInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<PostCommentForComparedCommitInput, PostCommentForComparedCommitOutput>;
}
