import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { TestRepositoryTriggersInput } from "../types/TestRepositoryTriggersInput";
import { TestRepositoryTriggersOutput } from "../types/TestRepositoryTriggersOutput";
import { CodeCommitResolvedConfiguration } from "../CodeCommitConfiguration";
export * from "../types/TestRepositoryTriggersInput";
export * from "../types/TestRepositoryTriggersOutput";
export * from "../types/TestRepositoryTriggersExceptionsUnion";
export declare class TestRepositoryTriggersCommand implements __aws_sdk_types.Command<InputTypesUnion, TestRepositoryTriggersInput, OutputTypesUnion, TestRepositoryTriggersOutput, CodeCommitResolvedConfiguration, Blob> {
    readonly input: TestRepositoryTriggersInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<TestRepositoryTriggersInput, TestRepositoryTriggersOutput, Blob>;
    constructor(input: TestRepositoryTriggersInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeCommitResolvedConfiguration): __aws_sdk_types.Handler<TestRepositoryTriggersInput, TestRepositoryTriggersOutput>;
}
