"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateDefaultBranch_1 = require("../model/operations/UpdateDefaultBranch");
var UpdateDefaultBranchCommand = /** @class */ (function () {
    function UpdateDefaultBranchCommand(input) {
        this.input = input;
        this.model = UpdateDefaultBranch_1.UpdateDefaultBranch;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateDefaultBranchCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateDefaultBranchCommand;
}());
exports.UpdateDefaultBranchCommand = UpdateDefaultBranchCommand;
//# sourceMappingURL=UpdateDefaultBranchCommand.js.map