"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateRepositoryNameInput_1 = require("../shapes/UpdateRepositoryNameInput");
var UpdateRepositoryNameOutput_1 = require("../shapes/UpdateRepositoryNameOutput");
var RepositoryDoesNotExistException_1 = require("../shapes/RepositoryDoesNotExistException");
var RepositoryNameExistsException_1 = require("../shapes/RepositoryNameExistsException");
var RepositoryNameRequiredException_1 = require("../shapes/RepositoryNameRequiredException");
var InvalidRepositoryNameException_1 = require("../shapes/InvalidRepositoryNameException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateRepositoryName = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateRepositoryName",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateRepositoryNameInput_1.UpdateRepositoryNameInput
    },
    output: {
        shape: UpdateRepositoryNameOutput_1.UpdateRepositoryNameOutput
    },
    errors: [
        {
            shape: RepositoryDoesNotExistException_1.RepositoryDoesNotExistException
        },
        {
            shape: RepositoryNameExistsException_1.RepositoryNameExistsException
        },
        {
            shape: RepositoryNameRequiredException_1.RepositoryNameRequiredException
        },
        {
            shape: InvalidRepositoryNameException_1.InvalidRepositoryNameException
        }
    ]
};
//# sourceMappingURL=UpdateRepositoryName.js.map