"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _PutFileEntries_1 = require("./_PutFileEntries");
var _DeleteFileEntries_1 = require("./_DeleteFileEntries");
var _SetFileModeEntries_1 = require("./_SetFileModeEntries");
exports.CreateCommitInput = {
    type: "structure",
    required: ["repositoryName", "branchName"],
    members: {
        repositoryName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        branchName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        parentCommitId: {
            shape: {
                type: "string"
            }
        },
        authorName: {
            shape: {
                type: "string"
            }
        },
        email: {
            shape: {
                type: "string"
            }
        },
        commitMessage: {
            shape: {
                type: "string"
            }
        },
        keepEmptyFolders: {
            shape: {
                type: "boolean"
            }
        },
        putFiles: {
            shape: _PutFileEntries_1._PutFileEntries
        },
        deleteFiles: {
            shape: _DeleteFileEntries_1._DeleteFileEntries
        },
        setFileModes: {
            shape: _SetFileModeEntries_1._SetFileModeEntries
        }
    }
};
//# sourceMappingURL=CreateCommitInput.js.map