"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ConflictResolution_1 = require("./_ConflictResolution");
exports.CreateUnreferencedMergeCommitInput = {
    type: "structure",
    required: [
        "repositoryName",
        "sourceCommitSpecifier",
        "destinationCommitSpecifier",
        "mergeOption"
    ],
    members: {
        repositoryName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        sourceCommitSpecifier: {
            shape: {
                type: "string"
            }
        },
        destinationCommitSpecifier: {
            shape: {
                type: "string"
            }
        },
        mergeOption: {
            shape: {
                type: "string"
            }
        },
        conflictDetailLevel: {
            shape: {
                type: "string"
            }
        },
        conflictResolutionStrategy: {
            shape: {
                type: "string"
            }
        },
        authorName: {
            shape: {
                type: "string"
            }
        },
        email: {
            shape: {
                type: "string"
            }
        },
        commitMessage: {
            shape: {
                type: "string"
            }
        },
        keepEmptyFolders: {
            shape: {
                type: "boolean"
            }
        },
        conflictResolution: {
            shape: _ConflictResolution_1._ConflictResolution
        }
    }
};
//# sourceMappingURL=CreateUnreferencedMergeCommitInput.js.map