"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetFileOutput = {
    type: "structure",
    required: [
        "commitId",
        "blobId",
        "filePath",
        "fileMode",
        "fileSize",
        "fileContent"
    ],
    members: {
        commitId: {
            shape: {
                type: "string"
            }
        },
        blobId: {
            shape: {
                type: "string"
            }
        },
        filePath: {
            shape: {
                type: "string"
            }
        },
        fileMode: {
            shape: {
                type: "string"
            }
        },
        fileSize: {
            shape: {
                type: "integer"
            }
        },
        fileContent: {
            shape: {
                type: "blob"
            }
        }
    }
};
//# sourceMappingURL=GetFileOutput.js.map