"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._Comment = {
    type: "structure",
    required: [],
    members: {
        commentId: {
            shape: {
                type: "string"
            }
        },
        content: {
            shape: {
                type: "string"
            }
        },
        inReplyTo: {
            shape: {
                type: "string"
            }
        },
        creationDate: {
            shape: {
                type: "timestamp"
            }
        },
        lastModifiedDate: {
            shape: {
                type: "timestamp"
            }
        },
        authorArn: {
            shape: {
                type: "string"
            }
        },
        deleted: {
            shape: {
                type: "boolean"
            }
        },
        clientRequestToken: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_Comment.js.map