"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ParentList_1 = require("./_ParentList");
var _UserInfo_1 = require("./_UserInfo");
exports._Commit = {
    type: "structure",
    required: [],
    members: {
        commitId: {
            shape: {
                type: "string"
            }
        },
        treeId: {
            shape: {
                type: "string"
            }
        },
        parents: {
            shape: _ParentList_1._ParentList
        },
        message: {
            shape: {
                type: "string"
            }
        },
        author: {
            shape: _UserInfo_1._UserInfo
        },
        committer: {
            shape: _UserInfo_1._UserInfo
        },
        additionalData: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_Commit.js.map