"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _MergeMetadata_1 = require("./_MergeMetadata");
exports._PullRequestTarget = {
    type: "structure",
    required: [],
    members: {
        repositoryName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        sourceReference: {
            shape: {
                type: "string"
            }
        },
        destinationReference: {
            shape: {
                type: "string"
            }
        },
        destinationCommit: {
            shape: {
                type: "string"
            }
        },
        sourceCommit: {
            shape: {
                type: "string"
            }
        },
        mergeBase: {
            shape: {
                type: "string"
            }
        },
        mergeMetadata: {
            shape: _MergeMetadata_1._MergeMetadata
        }
    }
};
//# sourceMappingURL=_PullRequestTarget.js.map