import { BatchDescribeMergeConflictsOutput } from "./BatchDescribeMergeConflictsOutput";
import { BatchGetRepositoriesOutput } from "./BatchGetRepositoriesOutput";
import { CreateBranchOutput } from "./CreateBranchOutput";
import { CreateCommitOutput } from "./CreateCommitOutput";
import { CreatePullRequestOutput } from "./CreatePullRequestOutput";
import { CreateRepositoryOutput } from "./CreateRepositoryOutput";
import { CreateUnreferencedMergeCommitOutput } from "./CreateUnreferencedMergeCommitOutput";
import { DeleteBranchOutput } from "./DeleteBranchOutput";
import { DeleteCommentContentOutput } from "./DeleteCommentContentOutput";
import { DeleteFileOutput } from "./DeleteFileOutput";
import { DeleteRepositoryOutput } from "./DeleteRepositoryOutput";
import { DescribeMergeConflictsOutput } from "./DescribeMergeConflictsOutput";
import { DescribePullRequestEventsOutput } from "./DescribePullRequestEventsOutput";
import { GetBlobOutput } from "./GetBlobOutput";
import { GetBranchOutput } from "./GetBranchOutput";
import { GetCommentOutput } from "./GetCommentOutput";
import { GetCommentsForComparedCommitOutput } from "./GetCommentsForComparedCommitOutput";
import { GetCommentsForPullRequestOutput } from "./GetCommentsForPullRequestOutput";
import { GetCommitOutput } from "./GetCommitOutput";
import { GetDifferencesOutput } from "./GetDifferencesOutput";
import { GetFileOutput } from "./GetFileOutput";
import { GetFolderOutput } from "./GetFolderOutput";
import { GetMergeCommitOutput } from "./GetMergeCommitOutput";
import { GetMergeConflictsOutput } from "./GetMergeConflictsOutput";
import { GetMergeOptionsOutput } from "./GetMergeOptionsOutput";
import { GetPullRequestOutput } from "./GetPullRequestOutput";
import { GetRepositoryOutput } from "./GetRepositoryOutput";
import { GetRepositoryTriggersOutput } from "./GetRepositoryTriggersOutput";
import { ListBranchesOutput } from "./ListBranchesOutput";
import { ListPullRequestsOutput } from "./ListPullRequestsOutput";
import { ListRepositoriesOutput } from "./ListRepositoriesOutput";
import { ListTagsForResourceOutput } from "./ListTagsForResourceOutput";
import { MergeBranchesByFastForwardOutput } from "./MergeBranchesByFastForwardOutput";
import { MergeBranchesBySquashOutput } from "./MergeBranchesBySquashOutput";
import { MergeBranchesByThreeWayOutput } from "./MergeBranchesByThreeWayOutput";
import { MergePullRequestByFastForwardOutput } from "./MergePullRequestByFastForwardOutput";
import { MergePullRequestBySquashOutput } from "./MergePullRequestBySquashOutput";
import { MergePullRequestByThreeWayOutput } from "./MergePullRequestByThreeWayOutput";
import { PostCommentForComparedCommitOutput } from "./PostCommentForComparedCommitOutput";
import { PostCommentForPullRequestOutput } from "./PostCommentForPullRequestOutput";
import { PostCommentReplyOutput } from "./PostCommentReplyOutput";
import { PutFileOutput } from "./PutFileOutput";
import { PutRepositoryTriggersOutput } from "./PutRepositoryTriggersOutput";
import { TagResourceOutput } from "./TagResourceOutput";
import { TestRepositoryTriggersOutput } from "./TestRepositoryTriggersOutput";
import { UntagResourceOutput } from "./UntagResourceOutput";
import { UpdateCommentOutput } from "./UpdateCommentOutput";
import { UpdateDefaultBranchOutput } from "./UpdateDefaultBranchOutput";
import { UpdatePullRequestDescriptionOutput } from "./UpdatePullRequestDescriptionOutput";
import { UpdatePullRequestStatusOutput } from "./UpdatePullRequestStatusOutput";
import { UpdatePullRequestTitleOutput } from "./UpdatePullRequestTitleOutput";
import { UpdateRepositoryDescriptionOutput } from "./UpdateRepositoryDescriptionOutput";
import { UpdateRepositoryNameOutput } from "./UpdateRepositoryNameOutput";
export declare type OutputTypesUnion = BatchDescribeMergeConflictsOutput | BatchGetRepositoriesOutput | CreateBranchOutput | CreateCommitOutput | CreatePullRequestOutput | CreateRepositoryOutput | CreateUnreferencedMergeCommitOutput | DeleteBranchOutput | DeleteCommentContentOutput | DeleteFileOutput | DeleteRepositoryOutput | DescribeMergeConflictsOutput | DescribePullRequestEventsOutput | GetBlobOutput | GetBranchOutput | GetCommentOutput | GetCommentsForComparedCommitOutput | GetCommentsForPullRequestOutput | GetCommitOutput | GetDifferencesOutput | GetFileOutput | GetFolderOutput | GetMergeCommitOutput | GetMergeConflictsOutput | GetMergeOptionsOutput | GetPullRequestOutput | GetRepositoryOutput | GetRepositoryTriggersOutput | ListBranchesOutput | ListPullRequestsOutput | ListRepositoriesOutput | ListTagsForResourceOutput | MergeBranchesByFastForwardOutput | MergeBranchesBySquashOutput | MergeBranchesByThreeWayOutput | MergePullRequestByFastForwardOutput | MergePullRequestBySquashOutput | MergePullRequestByThreeWayOutput | PostCommentForComparedCommitOutput | PostCommentForPullRequestOutput | PostCommentReplyOutput | PutFileOutput | PutRepositoryTriggersOutput | TagResourceOutput | TestRepositoryTriggersOutput | UntagResourceOutput | UpdateCommentOutput | UpdateDefaultBranchOutput | UpdatePullRequestDescriptionOutput | UpdatePullRequestStatusOutput | UpdatePullRequestTitleOutput | UpdateRepositoryDescriptionOutput | UpdateRepositoryNameOutput;
